<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<!-- Meta -->
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- Link -->
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!-- WP Head -->
	<?php wp_head(); ?>


</head>
<body <?php body_class(); ?>>

	<div id="page" class="site">
	
		<div id="page-inner">

			<?php get_template_part( 'template-parts/header/top-bar' ); ?>

		
			<?php
				$post_id = get_the_ID();
				if ( is_home() ) {
					$post_id = get_option( 'page_for_posts' );
				}
			?>
			<?php if ( socrates_v5_get_post_meta( $post_id, 'hide_header' ) != 'hide' ) : ?>
			
				<header id="header" class="site-header">

					<div id="header-inner">

						<div class="wrapper clearfix">
						
							<?php get_template_part( 'template-parts/header/logo' ); ?>

							<?php if ( in_array( socrates_v5_get_theme_mod( 'nav_position', 'nav_below' ), array( 'nav_below', 'nav_below_center' ) ) ) get_template_part( 'template-parts/header/widgets' ); ?>

							<?php if ( socrates_v5_get_theme_mod( 'nav_position', 'nav_below' ) == 'nav_aside' ) get_template_part( 'template-parts/header/navigation-aside' ); ?>

						</div><!-- .wrapper -->

						<?php if ( ! socrates_v5_is_logo_shown() && ! is_active_sidebar( 'sidebar-header' ) ) : ?>
							<a href="<?php echo home_url( '/' ); ?>" id="full-header-link"><span class="screen-reader-text"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></span></a>
						<?php endif; ?>

					</div><!-- #header-inner -->
					
				</header><!-- #header -->

			<?php endif; ?>

			<?php
				$post_id = get_the_ID();
				if ( is_home() ) {
					$post_id = get_option( 'page_for_posts' );
				}
			?>
			<?php if ( in_array( socrates_v5_get_theme_mod( 'nav_position', 'nav_below' ), array( 'nav_below', 'nav_below_center' ) ) && socrates_v5_get_post_meta( $post_id, 'hide_primary_nav' ) != 'hide' ) get_template_part( 'template-parts/header/navigation' ); ?>
			<div id="main" class="site-content">
			<?php do_action( 'socrates_after_header' ); ?>

				<?php if ( ! is_page_template( 'template-sections.php' ) ) : ?>
					<div class="wrapper clearfix">
				<?php endif; ?>