<?php

/**
 * register options
 *
 * @since 1.0
 */
function socrates_v5_customizer_register_options( $options ) {

	$prefix = 'socrates_v5_';

	// fonts options
	$fonts = socrates_v5_get_fonts();
	$fonts_opts = array();
	foreach ( $fonts['regular'] as $font ) {
		$fonts_opts[$font] = $font;
	}
	foreach ( $fonts['google'] as $font ) {
		$fonts_opts[$font] = $font;
	}

	// Logo
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'title_tagline',
		'title' => '',
		'new'   => false,
	);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Display Site Title', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_display_title',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Display Site Tagline', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_display_tagline',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Use h1 for Title on Homepage', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_h1_or_p',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_select',
			'opts'  => array(
				'left' => esc_html__( 'Left', 'socrates-v5' ),
				'center' => esc_html__( 'Center', 'socrates-v5' ),
				'right' =>  esc_html__( 'Right', 'socrates-v5' ),
			),
			'title' => esc_html__( 'Logo Position', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_position',
			'def'	=> 'left',
		);

	// Colors
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'colors',
		'title' => '',
		'new' => false
	);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Text Color', 'socrates-v5' ),
			'id'	=> $prefix . 'text_color',
			'def'	=> '#444',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Heading (H1-H6) Colors', 'socrates-v5' ),
			'descr' => esc_html__( 'All your H Tags, Page and Post Titles', 'socrates-v5' ),
			'id'	=> $prefix . 'headings_color',
			'def'	=> '#292c33',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Link Color', 'socrates-v5' ),
			'descr' => esc_html__( 'Hyperlink and url colors', 'socrates-v5' ),
			'id'	=> $prefix . 'link_color',
			'def'	=> '#4082c6',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Accent & Button Color', 'socrates-v5' ),
			'descr' => esc_html__( 'Underscores and buttons', 'socrates-v5' ),
			'id'	=> $prefix . 'accent_color',
			'def'	=> '#4082c6',
		);
		
			$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Header Background', 'socrates-v5' ),
			'descr' => esc_html__( 'Header area background color', 'socrates-v5' ),
			'id'	=> $prefix . 'header_bg_color',
			'def'	=> '#292c33',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Header Title Color', 'socrates-v5' ),
			'descr' => esc_html__( 'Your site title color inside header', 'socrates-v5' ),
			'id'	=> $prefix . 'header_title_color',
			'def'	=> '#fff',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Header Subtitle Color', 'socrates-v5' ),
			'descr' => esc_html__( 'Your subtitle color inside header', 'socrates-v5' ),
			'id'	=> $prefix . 'header_subtitle_color',
			'def'	=> '#828992',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Navigation Background', 'socrates-v5' ),
			'descr' => esc_html__( 'This is for a top menu bar "above header"', 'socrates-v5' ),
			'id'	=> $prefix . 'nav_bg_color',
			'def'	=> '#fff',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Navigation Text ( below header )', 'socrates-v5' ),
			'descr' => esc_html__( 'Affects color when navigation position set to "Below Header"', 'socrates-v5' ),
			'id'	=> $prefix . 'nav_color',
			'def'	=> '#181818',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Navigation Text ( inside header )', 'socrates-v5' ),
			'descr' => esc_html__( 'Affects color when navigation position set to "Inside Header"', 'socrates-v5' ),
			'id'	=> $prefix . 'nav_aside_color',
			'def'	=> '#ffffff',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Navigation Submenu Background', 'socrates-v5' ),
			'descr' => esc_html__( 'Menu background color for drop down navigation', 'socrates-v5' ),
			'id'	=> $prefix . 'nav_submenu_bg_color',
			'def'	=> '#191a1f',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Navigation Submenu Text', 'socrates-v5' ),
			'descr' => esc_html__( 'Navigation link and text color for drop down navigation', 'socrates-v5' ),
			'id'	=> $prefix . 'nav_submenu_color',
			'def'	=> '#fff',
		);
		
		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Top Bar Menu Background', 'socrates-v5' ),
			'descr' => esc_html__( 'This is for a top menu bar above header"', 'socrates-v5' ),
			'id'	=> $prefix . 'top_bar_bg_color',
			'def'	=> '#22242a',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Top Bar Text', 'socrates-v5' ),
			'descr' => esc_html__( 'Navigation link and text color for top bar menu', 'socrates-v5' ),			
			'id'	=> $prefix . 'top_bar_color',
			'def'	=> '#fff',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Top Bar Submenu Background', 'socrates-v5' ),
			'descr' => esc_html__( 'Menu background color for drop down navigation', 'socrates-v5' ),
			'id'	=> $prefix . 'top_bar_submenu_bg_color',
			'def'	=> '#191a1f',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Top Bar Submenu Text', 'socrates-v5' ),
			'descr' => esc_html__( 'Navigation link and text color for drop down navigation', 'socrates-v5' ),
			'id'	=> $prefix . 'top_bar_submenu_color',
			'def'	=> '#fff',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Footer Widget Background', 'socrates-v5' ),
			'descr' => esc_html__( 'If footer widgets active, background color', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_bg_color',
			'def'	=> '#292c33',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Footer Widgets Link', 'socrates-v5' ),
			'descr' => esc_html__( 'This controls the footer widget links, text and title', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_link_color',
			'def'	=> '#4082c6',
		);
		
		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Footer Widgets Text', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_widget_text_color',
			'def'	=> '#fff',
		);
		
		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Footer Bottom Background', 'socrates-v5' ),
			'descr' => esc_html__( 'Very bottom socket with copyright and menu', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_bottom_bg_color',
			'def'	=> '#fff',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Footer Bottom Text', 'socrates-v5' ),
			'descr' => esc_html__( 'Controls copyright text color', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_bottom_text_color',
			'def'	=> '#444',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Footer Bottom Link', 'socrates-v5' ),
			'descr' => esc_html__( 'Affiliate and menu link color in bottom socket', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_bottom_link_color',
			'def'	=> '#4082c6',
		);

		$options[] = array(
			'type'	=> 'option_color',
			'title' => esc_html__( 'Masonry Post Title', 'socrates-v5' ),
			'descr' => esc_html__( 'If using masonry templates', 'socrates-v5' ),
			'id'	=> $prefix . 'masonry_title_color',
			'def'	=> '#000000',
		);

	// Fonts
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'socrates_v5_fonts',
		'title' => esc_html__( 'Fonts & Sizes', 'socrates-v5' ),
		'descr' =>'Make your Google Fonts 100% GDPR compliant, use <a href="https://wordpress.org/plugins/host-webfonts-local/"> OMGF plugin </a> if you want to host fonts locally.',
		
	);



		$options[] = array(
			'type'	=> 'option_select',
			'title' => esc_html__( 'Body Font Family', 'socrates-v5' ),
			'id'	=> $prefix . 'primary_font',
			'opts'  => $fonts_opts,
			'def'	=> 'Lato',
		);

		$options[] = array(
			'type'	=> 'option_select',
			'title' => esc_html__( 'Headings Font Family', 'socrates-v5' ),
			'id'	=> $prefix . 'secondary_font',
			'opts'  => $fonts_opts,
			'def'	=> 'Montserrat',
		);

		$options[] = array(
			'type'	=> 'option_select',
			'title' => esc_html__( 'Navigation Text Transform', 'socrates-v5' ),
			'id'	=> $prefix . 'nav_text_transform',
			'def'	=> 'uppercase',
			'opts' => array(
				'uppercase' =>  esc_html__( 'Uppercase', 'socrates-v5' ),
				'lowercase' =>  esc_html__( 'Lowercase', 'socrates-v5' ),
				'capitalize' =>  esc_html__( 'Capitalize', 'socrates-v5' ),
				'none' => esc_html__( 'None', 'socrates-v5' ),
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Logo Title Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_title_font_size',
			'def'	=> '38',
			'extra' => array(
				'min' => 10,
				'max' => 60,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Logo Title Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_title_font_weight',
			'def'	=> '700',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Logo Tagline Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_tagline_font_size',
			'def'	=> '16',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Logo Tagline Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'logo_tagline_font_weight',
			'def'	=> '400',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Body Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'body_font_size',
			'def'	=> '16',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Body Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'body_font_weight',
			'def'	=> '400',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Page Title Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'page_title_font_size',
			'def'	=> '35',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Page Title Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'page_title_font_weight',
			'def'	=> '700',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Post Title Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_title_font_size',
			'def'	=> '35',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Post Title Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_title_font_weight',
			'def'	=> '500',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Post Listing Title Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'post_listing_title_font_size',
			'def'	=> '28',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Post Listing Title Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'post_listing_title_font_weight',
			'def'	=> '500',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Primary Nav Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'primary_nav_font_size',
			'def'	=> '16',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Primary Nav Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'primary_nav_font_weight',
			'def'	=> '500',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Primary Nav Submenu Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'primary_nav_submenu_font_size',
			'def'	=> '13',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Primary Nav Submenu Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'primary_nav_submenu_font_weight',
			'def'	=> '600',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Widget Title Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'widget_title_font_size',
			'def'	=> '18',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Widget Title Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'widget_title_font_weight',
			'def'	=> '500',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h1', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h1_font_size',
			'def'	=> '33',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h2', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h2_font_size',
			'def'	=> '30',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h3', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h3_font_size',
			'def'	=> '27',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h4', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h4_font_size',
			'def'	=> '24',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h5', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h5_font_size',
			'def'	=> '21',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h6', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h6_font_size',
			'def'	=> '18',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h1 - phone', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h1_font_size_phone',
			'def'	=> '26',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h2 - phone', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h2_font_size_phone',
			'def'	=> '24',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h3 - phone', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h3_font_size_phone',
			'def'	=> '22',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h4 - phone', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h4_font_size_phone',
			'def'	=> '20',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h5 - phone', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h5_font_size_phone',
			'def'	=> '18',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content h6 - phone', 'socrates-v5' ),
			'id'	=> $prefix . 'content_h6_font_size_phone',
			'def'	=> '16',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);
		
		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Footer Bottom Font Size', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_bottom_font_size',
			'def'	=> '12',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Footer Bottom Font Weight', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_bottom_font_weight',
			'def'	=> '400',
			'extra' => array(
				'min' => 100,
				'max' => 900,
				'step' => 100
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Masonry Post Title', 'socrates-v5' ),
			'id'	=> $prefix . 'masonry_title_font_size',
			'def'	=> '17',
			'extra' => array(
				'min' => 10,
				'max' => 50,
				'step' => 1
			),
		);

	// Layout
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'socrates_v5_layout',
		'title' => esc_html__( 'Layout', 'socrates-v5' ),
		'priority' => 21,
	);

		$options[] = array(
			'type'	=> 'option_select',
			'opts'  => array(
				'wrapped' => esc_html__( 'Wrapped', 'socrates-v5' ),
				'full' => esc_html__( 'Full', 'socrates-v5' ),
			),
			'title' => esc_html__( 'General Layout', 'socrates-v5' ),
			'id'	=> $prefix . 'general_layout',
			'def'	=> 'wrapped',
		);

		$options[] = array(
			'type'	=> 'option_select',
			'opts'  => array(
				'content_sidebar' => esc_html__( 'Content + Sidebar', 'socrates-v5' ),
				'full_content' => esc_html__( 'Full Content ( No Sidebar )', 'socrates-v5' ),
			),
			'title' => esc_html__( 'Blog Layout', 'socrates-v5' ),
			'id'	=> $prefix . 'blog_layout',
			'def'	=> 'content_sidebar',
		);

		$options[] = array(
			'type'	=> 'option_select',
			'opts'  => array(
				'nav_below' => esc_html__( 'Below Header', 'socrates-v5' ),
				'nav_below_center' => esc_html__( 'Below Header Centered', 'socrates-v5' ),
				'nav_aside' => esc_html__( 'Inside Header', 'socrates-v5' ),
			),
			'title' => esc_html__( 'Navigation Position', 'socrates-v5' ),
			'id'	=> $prefix . 'nav_position',
			'def'	=> 'nav_below',
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Container Width', 'socrates-v5' ),
			'id'	=> $prefix . 'container_width',
			'def'	=> '1200',
			'extra' => array(
				'min' => 800,
				'max' => 1680,
				'step' => 5
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Header Minimum Height', 'socrates-v5' ),
			'id'	=> $prefix . 'header_min_height',
			'def'	=> '100',
			'extra' => array(
				'min' => 50,
				'max' => 900,
				'step' => 5
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Header Vertical Padding', 'socrates-v5' ),
			'id'	=> $prefix . 'header_padding_ver',
			'def'	=> '50',
			'extra' => array(
				'min' => 0,
				'max' => 100,
				'step' => 5
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Header Horizontal Padding', 'socrates-v5' ),
			'id'	=> $prefix . 'header_padding_hor',
			'def'	=> '0',
			'extra' => array(
				'min' => 0,
				'max' => 100,
				'step' => 5
			),
		);

		$options[] = array(
			'type'	=> 'option_number',
			'title' => esc_html__( 'Content / Sidebar Padding', 'socrates-v5' ),
			'id'	=> $prefix . 'content_padding',
			'def'	=> '0',
			'extra' => array(
				'min' => 0,
				'max' => 100,
				'step' => 5
			),
		);

		$options[] = array(
			'type'	=> 'option_select',
			'opts'  => array(
				'3' => esc_html__( '20%', 'socrates-v5' ),
				'4' => esc_html__( '30%', 'socrates-v5' ),
				'5' => esc_html__( '40%', 'socrates-v5' ),
			),
			'title' => esc_html__( 'Sidebar Width', 'socrates-v5' ),
			'id'	=> $prefix . 'sidebar_width',
			'def'	=> '4',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Sidebar Border', 'socrates-v5' ),
			'id'	=> $prefix . 'sidebar_border',
			'def'	=> 0,
		);

		$options[] = array(
			'type'	=> 'option_select',
			'opts'  => array(
				'thumb_aside' => esc_html__( 'Thumbnail Aside', 'socrates-v5' ),
				'thumb_above' => esc_html__( 'Thumbnail Above', 'socrates-v5' ),
			),
			'title' => esc_html__( 'Featured Image Layout', 'socrates-v5' ),
			'id'	=> $prefix . 'posts_layout',
			'def'	=> 'thumb_aside',
		);

	// Social
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'socrates_v5_social',
		'title' => esc_html__( 'Social', 'socrates-v5' ),
	);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Twitter URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_twitter',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Twitter Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_twitter_text',
			'def'	=> 'Follow on Twitter',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Facebook URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_facebook',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Facebook Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_facebook_text',
			'def'	=> 'Find Us on Facebook',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Youtube URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_youtube',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Youtube Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_youtube_text',
			'def'	=> 'Subscribe on Youtube',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Vimeo URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_vimeo',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Vimeo Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_vimeo_text',
			'def'	=> 'Subscribe on Vimeo',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Tumblr URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_tumblr',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Tumblr Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_tumblr_text',
			'def'	=> 'Follow on Tumblr',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Pinterest URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_pinterest',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Pinterest Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_pinterest_text',
			'def'	=> 'Follow on Pinterest',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'LinkedIn URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_linkedin',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'LinkedIn Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_linkedin_text',
			'def'	=> 'Connect on LinkedIn',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Instagram URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_instagram',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Instagram Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_instagram_text',
			'def'	=> 'Follow on Instagram',
		);
		
		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Google Plus URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_googleplus',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Google Plus Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_googleplus_text',
			'def'	=> 'Follow on Google+',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'RSS URL', 'socrates-v5' ),
			'id'	=> $prefix . 'social_rss',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'RSS Text', 'socrates-v5' ),
			'id'	=> $prefix . 'social_rss_text',
			'def'	=> 'Subscribe via RSS',
		);

	// Header
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'header_image',
		'title' => '',
		'new' => false
	);

		$options[] = array(
			'type'	=> 'option_select',
			'title' => esc_html__( 'Background Image Width', 'socrates-v5' ),
			'id'	=> $prefix . 'header_bg_image_width',
			'def'	=> 'full',
			'opts' => array(
				'full' => esc_html__( 'Stretch', 'socrates-v5' ),
				'wrapper' => esc_html__( 'Fit to container', 'socrates-v5' ),
			),
		);

	// Footer
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'socrates_v5_footer',
		'title' => esc_html__( 'Footer & Affiliate Link', 'socrates-v5' ),
	);		

		$options[] = array(
			'type'	=> 'option_select',
			'opts'  => array(
				'4' => esc_html__( '3 columns', 'socrates-v5' ),
				'3' => esc_html__( '4 columns', 'socrates-v5' ),
			),
			'title' => esc_html__( 'Footer Widgets', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_widget_column_width',
			'def'	=> '4',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Copyright & Affiliate Link - Earn 50%', 'socrates-v5' ),
			'id'	=> $prefix . 'footer_copy_text',
			'def'	=> 'Copyright $copy$ $current_year$ | Powered by <a target="blank" href="https://www.socratestheme.com/" rel="nofollow">Socrates</a>',
		);

	// Other
	$options[] = array(
		'type'	=> 'section',
		'id'	=> 'socrates_v5_other',
		'title' => esc_html__( 'Other', 'socrates-v5' ),
	);		

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide or Show Top Menu on Mobile', 'socrates-v5' ),
			'id'	=> $prefix . 'top_menu_mobile_display',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Display Search Form In Header', 'socrates-v5' ),
			'id'	=> $prefix . 'header_display_search',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Entire Date/Author Line', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_display_meta',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Date', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_display_meta_date',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Author', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_display_meta_author',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Category', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_display_meta_cats',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Comments', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_display_meta_comments',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide or Show full content instead of excerpt on index and archives', 'socrates-v5' ),
			'id'	=> $prefix . 'post_excerpt_display',
			'def'	=> '1',
		);
		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide or Show featured image on single posts', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_display_thumb',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide or Show previous/next posts on single posts', 'socrates-v5' ),
			'id'	=> $prefix . 'post_single_prev_next_posts',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide or Show underline on headings', 'socrates-v5' ),
			'id'	=> $prefix . 'headings_underline',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Display "scroll to top" element.', 'socrates-v5' ),
			'id'	=> $prefix . 'scroll_to_top',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( '404 Page - Title', 'socrates-v5' ),
			'id'	=> $prefix . '404_page_title',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( '404 Page - Content Basic HTML Only', 'socrates-v5' ),
			'id'	=> $prefix . '404_page_content',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( '404 Page - Display Search Box', 'socrates-v5' ),
			'id'	=> $prefix . '404_search',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Change Button Text - Continue Reading', 'socrates-v5' ),
			'id'	=> $prefix . 'read_more_text',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Remove WooCommerce Sidebar', 'socrates-v5' ),
			'id'	=> $prefix . 'remove_woocommerce_sidebar',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Remove BBPress Sidebar', 'socrates-v5' ),
			'id'	=> $prefix . 'remove_bbpress_sidebar',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Masonry Template Date', 'socrates-v5' ),
			'id'	=> $prefix . 'hide_masonry_date',
			'def'	=> '',
		);
		
		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Masonry Excerpt', 'socrates-v5' ),
			'id'	=> $prefix . 'hide_masonry_excerpt',
			'def'	=> '',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Hide Header Widget in Mobile', 'socrates-v5' ),
			'id'	=> $prefix . 'header_widget_mobile_hide',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_checkbox',
			'title' => esc_html__( 'Auto fit video embeds with FitVids', 'socrates-v5' ),
			'id'	=> $prefix . 'fitvids',
			'def'	=> '1',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Company Name', 'socrates-v5' ),
			'descr' => esc_html__( 'Use [company_name] to output on any page', 'socrates-v5' ),
			'id'	=> $prefix . 'company_name',
			'def'	=> 'Your Company',
		);

		$options[] = array(
			'type'	=> 'option_text',
			'title' => esc_html__( 'Company URL', 'socrates-v5' ),
			'descr' => esc_html__( 'Use [company_url] to output on any page', 'socrates-v5' ),
			'id'	=> $prefix . 'company_url',
			'def'	=> 'YourDomain.com',
		);

	return $options;

} add_filter( 'socrates_v5_customizer_register', 'socrates_v5_customizer_register_options', 10, 1 );

/**
 * Enqueue script for custom customize control.
 *
 * @since 1.0
 */
function socrates_v5_customizer_scripts() {
	
	// theme
	$theme = wp_get_theme();

	wp_enqueue_script( 'customizer-js', get_template_directory_uri() . '/js/customizer.js', array( 'jquery', 'customize-controls' ), $theme->get( 'Version' ), true );
	wp_enqueue_style( 'customizer-css', get_template_directory_uri() . '/css/customizer.css' );

} add_action( 'customize_controls_enqueue_scripts', 'socrates_v5_customizer_scripts' );

/**
 * add options to customizer
 *
 * @since 1.0
 */
function socrates_v5_customizer_register( $wp_customize ) {
	
	$customizer_options = apply_filters( 'socrates_v5_customizer_register', array() );

	$section_priority = 200;
	$setting_priority = 5;
	$current_section_id = '';
	$current_setting_id = '';
	
	foreach ( $customizer_options as $customizer_option ) {

		if ( ! isset( $customizer_option['descr'] ) ) {
			$customizer_option['descr'] = '';
		}

		if( $customizer_option['type'] == 'section' ){
			
			/* New Section */
			if ( isset( $customizer_option['priority'] ) ) {
				$real_section_priority = $customizer_option['priority'];
			} else {
				$section_priority += 50;
				$real_section_priority = $section_priority;
			}
			$setting_priority = 5;
			$current_section_id = $customizer_option['id'];

			if ( ! isset( $customizer_option['descr'] ) )
				$customizer_option['descr'] = '';
			
			if ( ! isset( $customizer_option['new'] ) || $customizer_option['new'] == true ) {
				$wp_customize->add_section( $current_section_id, array(
					'title' => $customizer_option['title'],
					'priority' => $real_section_priority,
					'description' => $customizer_option['descr'],
				) );
			}
			
		} elseif ( $customizer_option['type'] == 'option_color' ) {
			
			/* New Option (COLOR) */
			
			$current_setting_id = $customizer_option['id'];
			$setting_priority += 5;
			
			$wp_customize->add_setting( $current_setting_id, array(
				'default' => $customizer_option['def'],
				'type' => 'theme_mod',
				'sanitize_callback' => 'esc_html',
			) );
			
				$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, $current_setting_id, array(
					'label' => $customizer_option['title'],
					'section' => $current_section_id,
					'priority' => $setting_priority,
					'description' => $customizer_option['descr'],
				) ) );
			
		} elseif ( $customizer_option['type'] == 'option_text' ) {
			
			/* New Option (TEXT) */
			
			$current_setting_id = $customizer_option['id'];
			$setting_priority += 5;

			$wp_customize->add_setting( $current_setting_id, array(
				'default'	=> $customizer_option['def'],
				'type'		=> 'theme_mod',
				'sanitize_callback' => 'socrates_v5_sanitize_text_field',
			) );
				
				$wp_customize->add_control( $current_setting_id, array(
					'label'		=> $customizer_option['title'],
					'section' 	=> $current_section_id,
					'type'		=> 'text',
					'priority'	=> $setting_priority,
					'description' => $customizer_option['descr'],
				));

		} elseif ( $customizer_option['type'] == 'option_textarea' ) {
			
			/* New Option (TEXT) */
			
			$current_setting_id = $customizer_option['id'];
			$setting_priority += 5;

			$wp_customize->add_setting( $current_setting_id, array(
				'default'	=> $customizer_option['def'],
				'type'		=> 'theme_mod',
				'sanitize_callback' => 'esc_html',
			) );
				
				$wp_customize->add_control( $current_setting_id, array(
					'label'		=> $customizer_option['title'],
					'section' 	=> $current_section_id,
					'type'		=> 'textarea',
					'priority'	=> $setting_priority,
					'description' => $customizer_option['descr'],
				));
			
		} elseif ( $customizer_option['type'] == 'option_select' ) {
			
			/* New Option (SELECT) */
			
			$current_setting_id = $customizer_option['id'];
			$setting_priority += 5;
			
			$wp_customize->add_setting( $current_setting_id, array(
				'default'	=> $customizer_option['def'],
				'type'		=> 'theme_mod',
				'sanitize_callback' => 'esc_html',
			) );
				
				$wp_customize->add_control( $current_setting_id, array(
					'label'		=> $customizer_option['title'],
					'section' 	=> $current_section_id,
					'type'		=> 'select',
					'choices'	=> $customizer_option['opts'],
					'priority'	=> $setting_priority,
					'description' => $customizer_option['descr'],
				));
			
		} elseif ( $customizer_option['type'] == 'option_checkbox' ) {
			
			/* New Option (checkbox) */
			
			$current_setting_id = $customizer_option['id'];
			$setting_priority += 5;
			
			$wp_customize->add_setting( $current_setting_id, array(
				'default'	=> $customizer_option['def'],
				'type'		=> 'theme_mod',
				'sanitize_callback' => 'absint',
			) );
				
				$wp_customize->add_control( $current_setting_id, array(
					'label'		=> $customizer_option['title'],
					'section' 	=> $current_section_id,
					'type'		=> 'checkbox',
					'priority'	=> $setting_priority,
					'description' => $customizer_option['descr'],
				));

		} elseif ( $customizer_option['type'] == 'option_image' ) {
			
			/* New Option (image) */
			
			$current_setting_id = $customizer_option['id'];
			$setting_priority += 5;
			
			$wp_customize->add_setting( $current_setting_id, array(
				'default'	=> $customizer_option['def'],
				'type'		=> 'theme_mod',
				'sanitize_callback' => 'esc_url_raw',
			) );
			
				$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, $current_setting_id, array(
					'label'		=> $customizer_option['title'],
					'section' 	=> $current_section_id,
					'priority'	=> $setting_priority,
					'description' => $customizer_option['descr'],
				) ) );
			
		} elseif ( $customizer_option['type'] == 'option_number' ) {
			
			/* Range option */
			
			$current_setting_id = $customizer_option['id'];
			$setting_priority += 5;
			
			$wp_customize->add_setting( $current_setting_id, array(
				'default'	=> $customizer_option['def'],
				'type'		=> 'theme_mod',
				'sanitize_callback' => 'esc_html',
			) );

				$wp_customize->add_control( $current_setting_id, array(
					'label'		=> $customizer_option['title'],
					'section' 	=> $current_section_id,
					'type'		=> 'range',
					'priority'	=> $setting_priority,
					'description' => $customizer_option['descr'],
					'input_attrs' => array(
						'class' => 'socrates-customizer-slider',
						'min' => $customizer_option['extra']['min'],
						'max' => $customizer_option['extra']['max'],
						'step' => $customizer_option['extra']['step']
					),
				) );
			
		}
		
	}

} add_action( 'customize_register', 'socrates_v5_customizer_register' );

/**
 * Get array of fonts
 *
 * @since 1.0
 */
function socrates_v5_get_fonts() {


	// the fonts array
	$fonts = array(
		'regular' => array( "-- Web Safe --", "Georgia", "Times", "Arial", "Lucida Sans Unicode", "Tahoma", "Trebuchet MS", "Verdana", "Helvetica","-- End Web Safe --" ),
		'google' => array( "-- Popular Google Fonts --","Droid Sans","Lato", "Montserrat","Oswald","Open Sans","Roboto","-- End Pop --","ABeeZee","Abel","Abril Fatface","Aclonica","Acme","Actor","Adamina","Advent Pro","Aguafina Script","Akronim","Aladin","Aldrich","Alef","Alegreya","Alegreya SC","Alex Brush","Alfa Slab One","Alice","Alike","Alike Angular","Allan","Allerta","Allerta Stencil","Allura","Almendra","Almendra Display","Almendra SC","Amarante","Amaranth","Amatic SC","Amethysta","Anaheim","Andada","Andika","Annie Use Your Telescope","Anonymous Pro","Antic","Antic Didone","Antic Slab","Anton","Arapey","Arbutus","Arbutus Slab","Architects Daughter","Archivo Black","Archivo Narrow","Arimo","Arizonia","Armata","Artifika","Arvo","Asap","Asset","Astloch","Asul","Atomic Age","Aubrey","Audiowide","Autour One","Average","Average Sans","Averia Gruesa Libre","Averia Libre","Averia Sans Libre","Averia Serif Libre","Bad Script","Balthazar","Bangers","Basic","Baumans","Belgrano","Belleza","BenchNine","Bentham","Berkshire Swash","Bevan","Bigelow Rules","Bigshot One","Bilbo","Bilbo Swash Caps","Bitter","Black Ops One","Bonbon","Boogaloo","Bowlby One","Bowlby One SC","Brawler","Bree Serif","Bubblegum Sans","Bubbler One","Buda","Buenard","Butcherman","Butterfly Kids","Cabin","Cabin Condensed","Cabin Sketch","Caesar Dressing","Cagliostro","Calligraffitti","Cambo","Candal","Cantarell","Cantata One","Cantora One","Capriola","Cardo","Carme","Carrois Gothic","Carrois Gothic SC","Carter One","Caudex","Cedarville Cursive","Ceviche One","Changa One","Chango","Chau Philomene One","Chela One","Chelsea Market","Cherry Cream Soda","Cherry Swash","Chewy","Chicle","Chivo","Cinzel","Cinzel Decorative","Clicker Script","Coda","Coda Caption","Codystar","Combo","Comfortaa","Coming Soon","Concert One","Condiment","Contrail One","Convergence","Cookie","Copse","Corben","Courgette","Cousine","Coustard","Covered By Your Grace","Crafty Girls","Creepster","Crete Round","Crimson Text","Croissant One","Crushed","Cuprum","Cutive","Cutive Mono","Damion","Dancing Script", "Dawning of a New Day","Days One","Delius","Delius Swash Caps","Delius Unicase","Della Respira","Denk One","Devonshire","Didact Gothic","Diplomata","Diplomata SC","Domine","Donegal One","Doppio One","Dorsa","Dosis","Dr Sugiyama","Droid Sans","Droid Sans Mono","Droid Serif","Duru Sans","Dynalight","Eagle Lake","Eater","EB Garamond","Economica","Electrolize","Elsie","Elsie Swash Caps","Emblema One","Emilys Candy","Engagement","Englebert","Enriqueta","Erica One","Esteban","Euphoria Script","Ewert","Exo","Expletus Sans","Fanwood Text","Fascinate","Fascinate Inline","Faster One","Fauna One","Federant","Federo","Felipa","Fenix","Finger Paint","Fjalla One","Fjord One","Flamenco","Flavors","Fondamento","Fontdiner Swanky","Forum","Francois One","Freckle Face","Fredericka the Great","Fredoka One","Fresca","Frijole","Fruktur","Fugaz One","Gabriela","Gafata","Galdeano","Galindo","Gentium Basic","Gentium Book Basic","Geo","Geostar","Geostar Fill","Germania One","GFS Didot","GFS Neohellenic","Gilda Display","Give You Glory","Glass Antiqua","Glegoo","Gloria Hallelujah","Goblin One","Gochi Hand","Gorditas","Goudy Bookletter 1911","Graduate","Grand Hotel","Gravitas One","Great Vibes","Griffy","Gruppo","Gudea","Habibi","Hammersmith One","Hanalei","Hanalei Fill","Handlee","Happy Monkey","Headland One","Henny Penny","Herr Von Muellerhoff","Holtwood One SC","Homemade Apple","Homenaje","Iceberg","Iceland","IM Fell Double Pica","IM Fell Double Pica SC","IM Fell DW Pica","IM Fell DW Pica SC","IM Fell English","IM Fell English SC","IM Fell French Canon","IM Fell French Canon SC","IM Fell Great Primer","IM Fell Great Primer SC","Imprima","Inconsolata","Inder","Indie Flower","Inika","Irish Grover","Istok Web","Italiana","Italianno","Jacques Francois","Jacques Francois Shadow","Jim Nightshade","Jockey One","Jolly Lodger","Josefin Sans","Josefin Slab","Joti One","Judson","Julee","Julius Sans One","Junge","Jura","Just Another Hand","Just Me Again Down Here","Kameron","Karla","Kaushan Script","Kavoon","Keania One","Kelly Slab","Kenia","Kite One","Knewave","Kotta One","Kranky","Kreon","Kristi","Krona One","La Belle Aurore","Lancelot","Lato","League Script","Leckerli One","Ledger","Lekton","Lemon","Libre Baskerville","Life Savers","Lilita One","Lily Script One","Limelight","Linden Hill","Lobster","Lobster Two","Londrina Outline","Londrina Shadow","Londrina Sketch","Londrina Solid","Lora","Love Ya Like A Sister","Loved by the King","Lovers Quarrel","Luckiest Guy","Lusitana","Lustria","Macondo","Macondo Swash Caps","Magra","Maiden Orange","Mako","Marcellus","Marcellus SC","Marck Script","Margarine","Marko One","Marmelad","Marvel","Mate","Mate SC","Maven Pro","McLaren","Meddon","MedievalSharp","Medula One","Megrim","Meie Script","Merienda","Merienda One","Merriweather","Merriweather Sans","Metal Mania","Metamorphous","Metrophobic","Michroma","Milonga","Miltonian","Miltonian Tattoo","Miniver","Miss Fajardose","Modern Antiqua","Molengo","Molle","Monda","Monofett","Monoton","Monsieur La Doulaise","Montaga","Montez","Montserrat","Montserrat Alternates","Montserrat Subrayada","Mountains of Christmas","Mouse Memoirs","Mr Bedfort","Mr Dafoe","Mr De Haviland","Mrs Saint Delafield","Mrs Sheppards","Muli","Mystery Quest","Neucha","Neuton","New Rocker","News Cycle","Niconne","Nixie One","Nobile","Norican","Nosifer","Nothing You Could Do","Noticia Text","Noto Sans","Noto Serif","Nova Cut","Nova Flat","Nova Mono","Nova Oval","Nova Round","Nova Script","Nova Slim","Nova Square","Numans","Nunito","Offside","Old Standard TT","Oldenburg","Oleo Script","Oleo Script Swash Caps","Open Sans","Open Sans Condensed","Oranienbaum","Orbitron","Oregano","Orienta","Original Surfer","Oswald","Over the Rainbow","Overlock","Overlock SC","Ovo","Oxygen","Oxygen Mono","Pacifico","Paprika","Parisienne","Passero One","Passion One","Pathway Gothic One","Patrick Hand","Patrick Hand SC","Patua One","Paytone One","Peralta","Permanent Marker","Petit Formal Script","Petrona","Philosopher","Piedra","Pinyon Script","Pirata One","Plaster","Play","Playball","Playfair Display","Playfair Display SC","Podkova","Poiret One","Poller One","Poly","Pompiere","Pontano Sans","Poppins","Port Lligat Sans","Port Lligat Slab","Prata","Press Start 2P","Princess Sofia","Prociono","Prosto One","PT Mono","PT Sans","PT Sans Caption","PT Sans Narrow","PT Serif","PT Serif Caption","Puritan","Purple Purse","Quando","Quantico","Quattrocento","Quattrocento Sans","Questrial","Quicksand","Quintessential","Qwigley","Racing Sans One","Radley","Raleway","Raleway Dots","Rambla","Rammetto One","Ranchers","Rancho","Rationale","Redressed","Reenie Beanie","Revalia","Ribeye","Ribeye Marrow","Righteous","Risque","Roboto","Roboto Condensed","Roboto Slab","Rochester","Rock Salt","Rokkitt","Romanesco","Ropa Sans","Rosario","Rosarivo","Rouge Script","Ruda","Rufina","Ruge Boogie","Ruluko","Rum Raisin","Ruslan Display","Russo One","Ruthie","Rye","Sacramento","Sail","Salsa","Sanchez","Sancreek","Sansita One","Sarina","Satisfy","Scada","Schoolbell","Seaweed Script","Sevillana","Seymour One","Shadows Into Light","Shadows Into Light Two","Shanti","Share","Share Tech","Share Tech Mono","Shojumaru","Short Stack","Sigmar One","Signika","Signika Negative","Simonetta","Sintony","Sirin Stencil","Six Caps","Skranji","Slackey","Smokum","Smythe","Sniglet","Snippet","Snowburst One","Sofadi One","Sofia","Sonsie One","Sorts Mill Goudy","Source Code Pro","Source Sans Pro","Special Elite","Spicy Rice","Spinnaker","Spirax","Squada One","Stalemate","Stalinist One","Stardos Stencil","Stint Ultra Condensed","Stint Ultra Expanded","Stoke","Strait","Sue Ellen Francisco","Sunshiney","Supermercado One","Swanky and Moo Moo","Syncopate","Tangerine","Tauri","Telex","Tenor Sans","Text Me One","The Girl Next Door","Tienne","Tinos","Titan One","Titillium Web","Trade Winds","Trocchi","Trochut","Trykker","Tulpen One","Ubuntu","Ubuntu Condensed","Ubuntu Mono","Ultra","Uncial Antiqua","Underdog","Unica One","UnifrakturCook","UnifrakturMaguntia","Unkempt","Unlock","Unna","Vampiro One","Varela","Varela Round","Vast Shadow","Vibur","Vidaloka","Viga","Voces","Volkhov","Vollkorn","Voltaire","VT323","Waiting for the Sunrise","Wallpoet","Walter Turncoat","Warnes","Wellfleet","Wendy One","Wire One","Yanone Kaffeesatz","Yellowtail","Yeseva One","Yesteryear","Zeyada" ),
	);
		
	// pass it back
	return $fonts;

}

/**
 * Sanitize text field
 *
 * @since 1.0
 */
function socrates_v5_sanitize_text_field( $value ) {

	$value = wp_kses_post( $value );
	return $value;

}