<?php
	/* Outputs on a single post page */
?>
<div class="blog-post-single">
	<?php if ( socrates_v5_get_post_meta( get_the_ID(), 'featured_video_url' ) ) : ?>
		<div class="blog-post-single-thumb">
			<?php echo wp_oembed_get( socrates_v5_get_post_meta( get_the_ID(), 'featured_video_url' ) ); ?>
		</div><!-- .blog-post-single-thumb -->

<?php elseif ( has_post_thumbnail() ) : ?>
<?php if ( socrates_v5_get_theme_mod( 'post_single_display_thumb', 1 ) == 1 && socrates_v5_get_post_meta( get_the_ID(), 'hide_featured_image' ) != 'hide' ) : ?>
		<?php
			$with_sidebar = true;
			if ( socrates_v5_get_theme_mod( 'blog_layout', 'content_sidebar' ) == 'full_content' ) {
				$with_sidebar = false;
			}
		?>
		<div class="blog-post-single-thumb">
			<?php
				$thumb_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' ); 
				$thumb_url = $thumb_url[0];
				$res_img = socrates_v5_aq_resize( $thumb_url, socrates_v5_get_image_size( 12, $with_sidebar ), 9999 );
				$img_alt = socrates_v5_get_attachment_alt( get_post_thumbnail_id() );
			?>
			<img src="<?php echo esc_url( $res_img ); ?>" alt="<?php echo esc_attr( $img_alt ); ?>" />
		</div><!-- .blog-post-single-thumb -->
	<?php endif; ?>
	<?php endif; ?>

	<div class="blog-post-single-main">
		<?php if ( socrates_v5_get_post_meta( get_the_ID(), 'hide_post_title' ) != 'hide' ) : ?>
			<h1 class="blog-post-single-title"><?php the_title(); ?></h1>
		<?php endif; ?>

		<?php if ( socrates_v5_get_theme_mod( 'post_single_display_meta', 0 ) == 0 ) : ?>
				<div class="blog-post-single-meta">
				<?php if ( socrates_v5_get_theme_mod( 'post_single_display_meta_date', 0 ) == 0 ) : ?>
					<span class="post-meta-date"><?php the_time( get_option( 'date_format' ) ); ?></span>
				<?php endif; ?>
				<?php if ( socrates_v5_get_theme_mod( 'post_single_display_meta_author', 1 ) == 0 ) : ?>
					<span class="post-meta-author"><?php esc_html_e( 'by', 'socrates-v5' ); ?> <?php the_author_posts_link(); ?></span>
				<?php endif; ?>
				<?php if ( socrates_v5_get_theme_mod( 'post_single_display_meta_cats', 0 ) == 0 ) : ?>
					<span class="post-meta-cats"><?php the_category( ', ' ); ?></span>
				<?php endif; ?>
				<?php 
				 if ( socrates_v5_get_theme_mod( 'post_single_display_meta_comments', 0 ) == 0 ) : ?>
					<span class="post-meta-comments"><a href="<?php comments_link(); ?>"><?php comments_number( esc_html__( 'No Comments', 'socrates-v5' ), esc_html__( 'One Comment', 'socrates-v5' ), esc_html__( '% Comments', 'socrates-v5' ) ); ?></a></span>
				<?php endif; ?>
			</div><!-- .blog-post-single-meta -->
			
		
			
		<?php endif; ?>

		<div class="blog-post-single-content">
			<?php the_content(); ?>
		</div><!-- .blog-post-single-content -->
	<div class="next-page-box">
		<div class="single-pagination clearfix">
			<?php
				global $page, $numpages;
				$current_page = $page;
				$total_pages = $numpages;
			?>
			<?php if ( $total_pages > 1 ) : ?>
				<div class="single-pagination-info"><?php echo sprintf( __( 'Page %d of %d', 'socrates-v5' ), $current_page, $total_pages ); ?></div>
				<?php wp_link_pages(array(
					'next_or_number' => 'next',
					'previouspagelink' => '<span class="single-pagination-link-prev-inner">&lt; Prev</span>',
					'nextpagelink' => '<span class="single-pagination-link-next-inner">Next &gt;</span>',
					'before' => '<div class="single-pagination-links clearfix">',
					'after' => '</div>',
				)); ?>
			<?php endif; ?>
		</div><!-- .single-pagination -->
		</div><!-- .next-page-box -->
		<div class="blog-post-single-tags">
			<?php the_tags(); ?>
		</div><!-- .blog-post-single-tags -->
	</div><!-- .blog-post-single-main -->
</div><!-- .blog-post-single -->